<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionRestrainTarget Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/db1/class_action_restrain_target.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionRestrainTarget Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionRestrainTarget:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/db1/class_action_restrain_target.png" usemap="#ActionRestrainTarget_map" alt=""/>
  <map id="ActionRestrainTarget_map" name="ActionRestrainTarget_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a32b83fee7aece5e1aa2ba221a094c96f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#a32b83fee7aece5e1aa2ba221a094c96f">ActionRestrainTarget</a> ()</td></tr>
<tr class="separator:a32b83fee7aece5e1aa2ba221a094c96f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbb4c8d3cf19d230c95f472818fc1853"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#abbb4c8d3cf19d230c95f472818fc1853">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:abbb4c8d3cf19d230c95f472818fc1853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad919c475ee5e4f456251abfe2d41ff8d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#ad919c475ee5e4f456251abfe2d41ff8d">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ad919c475ee5e4f456251abfe2d41ff8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a078ae82cd4ee6f05c177376e32e47a07"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#a078ae82cd4ee6f05c177376e32e47a07">ActionConditionContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a078ae82cd4ee6f05c177376e32e47a07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09e8673750507eed55fefcf98256cb83"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#a09e8673750507eed55fefcf98256cb83">OnStartServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a09e8673750507eed55fefcf98256cb83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf2489bf438a132a9b5638b54661e1b4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#acf2489bf438a132a9b5638b54661e1b4">OnEndServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:acf2489bf438a132a9b5638b54661e1b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ab00cd225c895ecbb0bce9984cc0feb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#a2ab00cd225c895ecbb0bce9984cc0feb">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a2ab00cd225c895ecbb0bce9984cc0feb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed7e8854374505eb93f9401671819a39"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/db1/class_action_restrain_target.html#aed7e8854374505eb93f9401671819a39">OnFinishProgressClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aed7e8854374505eb93f9401671819a39"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00023">23</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a32b83fee7aece5e1aa2ba221a094c96f" name="a32b83fee7aece5e1aa2ba221a094c96f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32b83fee7aece5e1aa2ba221a094c96f">&#9670;&#160;</a></span>ActionRestrainTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionRestrainTarget::ActionRestrainTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00025">25</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad919c475ee5e4f456251abfe2d41ff8d" name="ad919c475ee5e4f456251abfe2d41ff8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad919c475ee5e4f456251abfe2d41ff8d">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRestrainTarget::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00041">41</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<a id="a078ae82cd4ee6f05c177376e32e47a07" name="a078ae82cd4ee6f05c177376e32e47a07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a078ae82cd4ee6f05c177376e32e47a07">&#9670;&#160;</a></span>ActionConditionContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRestrainTarget::ActionConditionContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00052">52</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<a id="abbb4c8d3cf19d230c95f472818fc1853" name="abbb4c8d3cf19d230c95f472818fc1853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbb4c8d3cf19d230c95f472818fc1853">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRestrainTarget::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00035">35</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<a id="acf2489bf438a132a9b5638b54661e1b4" name="acf2489bf438a132a9b5638b54661e1b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf2489bf438a132a9b5638b54661e1b4">&#9670;&#160;</a></span>OnEndServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRestrainTarget::OnEndServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00094">94</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<a id="aed7e8854374505eb93f9401671819a39" name="aed7e8854374505eb93f9401671819a39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed7e8854374505eb93f9401671819a39">&#9670;&#160;</a></span>OnFinishProgressClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRestrainTarget::OnFinishProgressClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00136">136</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<a id="a2ab00cd225c895ecbb0bce9984cc0feb" name="a2ab00cd225c895ecbb0bce9984cc0feb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ab00cd225c895ecbb0bce9984cc0feb">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRestrainTarget::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00104">104</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<a id="a09e8673750507eed55fefcf98256cb83" name="a09e8673750507eed55fefcf98256cb83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09e8673750507eed55fefcf98256cb83">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRestrainTarget::OnStartServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html#l00078">78</a> of file <a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../dc/d91/_action_restrain_target_8c_source.html">ActionRestrainTarget.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/db1/class_action_restrain_target.html">ActionRestrainTarget</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
